Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface CompoundAssignmentTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface CompoundAssignmentTree
      extends ExpressionTree

  A tree node for compound assignment operator. Use `getKind` to determine the kind of operator. For example:

         variable operator expression

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression​()` | Returns the right hand side (RHS) of this assignment.
    `ExpressionTree` | `getVariable​()` | Returns the left hand side (LHS) of this assignment.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getVariable

          ExpressionTree getVariable​()

      Returns the left hand side (LHS) of this assignment.
      Returns:
        left hand side (LHS) expression

    - #### getExpression

          ExpressionTree getExpression​()

      Returns the right hand side (RHS) of this assignment.
      Returns:
        right hand side (RHS) expression